#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EStreamTransport {
    None = 0,
    UDP = 1,
    UDPRelay = 2,
    WebRTC_OBSOLETE = 3,
    SDR = 4,
    UDP_SNS = 5,
    UDPRelay_SNS = 6,
}

impl EStreamTransport {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::UDP as i32 => Some(Self::UDP),
            x if x == Self::UDPRelay as i32 => Some(Self::UDPRelay),
            x if x == Self::WebRTC_OBSOLETE as i32 => Some(Self::WebRTC_OBSOLETE),
            x if x == Self::SDR as i32 => Some(Self::SDR),
            x if x == Self::UDP_SNS as i32 => Some(Self::UDP_SNS),
            x if x == Self::UDPRelay_SNS as i32 => Some(Self::UDPRelay_SNS),
            _ => None,
        }
    }
}
